[metadata]
name = wsgetmail-secrets
version = attr: wsgetmail_secrets.__version__
author = Catherine Pitt, Chemistry Computer Officers
author_email = support@ch.cam.ac.uk
description = Secrets rotation for wsgetmail
long_description = file: README.md
long_description_content_type = text/markdown
url = https://gitlab.developers.cam.ac.uk/ch/co/marks-processing/marks-database-angular
classifiers =
    Programming Language :: Python :: 3
    Operating System :: OS Independent

[options]
packages = find:
python_requires = >=3.8
install_requires =
    Jinja2
    PyYAML
    python-dateutil
    Hobbit @ git+https://gitlab.developers.cam.ac.uk/ch/co/xymon/python-hobbit.git#subdirectory=src
scripts =
    bin/rotate-rt-secrets
    bin/check-secret-rotation
    bin/template-wsgetmail-files

[options.package_data]
wsgetmail_secrets = rotatecreds.yml

